Bug 1660133 - hammer repository info show "Red Hat Repository: no" for a Redhat enabled repository
Summary: hammer repository info show "Red Hat Repository: no" for a Redhat enabled rep...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories
Version: 6.5.0
Hardware: x86_64
OS: Linux
high
high vote
Target Milestone: Released
Assignee: Samir Jha
QA Contact: vijsingh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-17 15:14 UTC by Djebran Lezzoum
Modified: 2019-10-15 11:45 UTC (History)
5 users (show)

Fixed In Version: tfm-rubygem-hammer_cli_katello-0.16.0.3-1,tfm-rubygem-katello-3.10.0.10-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:46 UTC
Foreman Issue Tracker 25805 None None None 2019-01-08 17:03:38 UTC

Description Djebran Lezzoum 2018-12-17 15:14:09 UTC
Description of problem:
hammer repository info show "Red Hat Repository: no" for a Redhat enabled repository

Version-Release number of selected component (if applicable):
* candlepin-2.5.8-1.el7.noarch
* candlepin-selinux-2.5.8-1.el7.noarch
* foreman-1.20.1.1-1.el7sat.noarch
* foreman-bootloaders-redhat-201801241201-3.el7sat.noarch
* foreman-bootloaders-redhat-tftpboot-201801241201-3.el7sat.noarch
* foreman-cli-1.20.1.1-1.el7sat.noarch
* foreman-compute-1.20.1.1-1.el7sat.noarch
* foreman-debug-1.20.1.1-1.el7sat.noarch
* foreman-discovery-image-3.5.3-1.el7sat.noarch
* foreman-ec2-1.20.1.1-1.el7sat.noarch
* foreman-gce-1.20.1.1-1.el7sat.noarch
* foreman-installer-1.20.0-2.el7sat.noarch
* foreman-installer-katello-3.10.0-0.1.rc1.el7sat.noarch
* foreman-libvirt-1.20.1.1-1.el7sat.noarch
* foreman-openstack-1.20.1.1-1.el7sat.noarch
* foreman-ovirt-1.20.1.1-1.el7sat.noarch
* foreman-postgresql-1.20.1.1-1.el7sat.noarch
* foreman-proxy-1.20.0-1.el7sat.noarch
* foreman-rackspace-1.20.1.1-1.el7sat.noarch
* foreman-selinux-1.20.0-1.el7sat.noarch
* foreman-vmware-1.20.1.1-1.el7sat.noarch
* katello-3.10.0-0.6.rc1.el7sat.noarch
* katello-ca-consumer-dhcp-8-29-228.lab.eng.rdu2.redhat.com-1.0-3.noarch
* katello-certs-tools-2.4.0-2.el7sat.noarch
* katello-client-bootstrap-1.6.0-1.el7sat.noarch
* katello-common-3.10.0-0.6.rc1.el7sat.noarch
* katello-debug-3.10.0-0.6.rc1.el7sat.noarch
* katello-default-ca-1.0-1.noarch
* katello-installer-base-3.10.0-0.1.rc1.el7sat.noarch
* katello-selinux-3.0.3-2.el7sat.noarch
* katello-server-ca-1.0-1.noarch
* katello-service-3.10.0-0.6.rc1.el7sat.noarch
* ldapjdk-4.19-5.el7.noarch
* openldap-2.4.44-20.el7.x86_64
* pulp-client-1.0-1.noarch
* pulp-docker-plugins-3.2.2-0.1.rc.el7sat.noarch
* pulp-katello-1.0.2-5.el7sat.noarch
* pulp-maintenance-2.18.0-0.1.rc.el7sat.noarch
* pulp-ostree-plugins-1.3.1-1.el7sat.noarch
* pulp-puppet-plugins-2.18.0-0.1.rc.el7sat.noarch
* pulp-puppet-tools-2.18.0-0.1.rc.el7sat.noarch
* pulp-rpm-plugins-2.18.0-0.1.rc.el7sat.noarch
* pulp-selinux-2.18.0-0.1.rc.el7sat.noarch
* pulp-server-2.18.0-0.1.rc.el7sat.noarch
* python-ldap-2.4.15-2.el7.x86_64
* tfm-rubygem-ldap_fluff-0.4.7-3.el7sat.noarch
* tfm-rubygem-net-ldap-0.15.0-3.el7sat.noarch


How reproducible:
Always

Steps to Reproduce:
1. Having an organization with a manifest
2. Goto Content > Red Hat Repositories
3. Enable a Red hat repository for example "
Red Hat Enterprise Linux 7 Server RPMs x86_64 7Server "
4. Via hammer run (note id = 86 is the id of the rhel repo get it from the url when navigating to the repo via ui)
> hammer repository info --id 86

Actual results:
ID:                 86
Name:               Red Hat Enterprise Linux 7 Server RPMs x86_64 7Server
Label:              Red_Hat_Enterprise_Linux_7_Server_RPMs_x86_64_7Server
Organization:       vqipmVxujf
Red Hat Repository: no
Content Type:       yum
Mirror on Sync:     yes
URL:                RHEL_CDN_SERVER/content/dist/rhel/server/7/7Server/x86_64/os
Publish Via HTTP:   no
Published At:       SAT_SERVER/pulp/repos/vqipmVxujf/Library/content/dist/rhel/server/7/7Server/x86_64/os/
Relative Path:      vqipmVxujf/Library/content/dist/rhel/server/7/7Server/x86_64/os
Download Policy:    on_demand

(SAT_SERVER and RHEL_CDN_SERVER values are a replacement for actual servers urls)


Expected results:
...
Red Hat Repository: yes
...

Additional info:
This behavior is true for any enabled RH repository.

>  hammer repository info --organization-id 19 --product "Red Hat Ansible Engine" --name "Red Hat Ansible Engine 2.7 RPMs for Red Hat Enterprise Linux 7 Server x86_64"
ID:                 85
Name:               Red Hat Ansible Engine 2.7 RPMs for Red Hat Enterprise Linux 7 Server x86_64
Label:              Red_Hat_Ansible_Engine_2_7_RPMs_for_Red_Hat_Enterprise_Linux_7_Server_x86_64
Organization:       vqipmVxujf
Red Hat Repository: no
Content Type:       yum
Mirror on Sync:     yes
URL:                RHEL_CDN_SERVER/content/dist/rhel/server/7/7Server/x86_64/ansible/2.7/os
Publish Via HTTP:   no
Published At:       SAT_SERVER/pulp/repos/vqipmVxujf/Library/content/dist/rhel/server/7/7Server/x86_64/ansible/2.7/os/
Relative Path:      vqipmVxujf/Library/content/dist/rhel/server/7/7Server/x86_64/ansible/2.7/os
Download Policy:    on_demand
Product:            
    ID:   228
    Name: Red Hat Ansible Engine
GPG Key:            

Sync:               
    Status:         Success
    Last Sync Date: 36 minutes
Created:            2018/12/17 14:33:23
Updated:            2018/12/17 14:33:23
Content Counts:     
    Packages:       9
    Source RPMS:    0
    Package Groups: 0
    Errata:         4
    Module Streams: 0

Comment 2 Bryan Kearney 2019-01-04 17:33:32 UTC
setting priority to high due to being a regression.

Comment 3 Samir Jha 2019-01-08 17:03:37 UTC
Created redmine issue http://projects.theforeman.org/issues/25805 from this bug

Comment 4 Bryan Kearney 2019-01-08 21:17:49 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25805 has been resolved.

Comment 7 vijsingh 2019-01-21 07:19:39 UTC
Verified:

@Satellite 6.5.0 Snap 12.0

Steps:

+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

[root@satellite6 ~]# rpm -qa satellite katello foreman pulp-server tfm-rubygem-hammer_cli_foreman
tfm-rubygem-hammer_cli_foreman-0.15.1-1.el7sat.noarch
pulp-server-2.18.0-0.1.rc.el7sat.noarch
foreman-1.20.1.7-1.el7sat.noarch
satellite-6.5.0-5.beta.el7sat.noarch
katello-3.10.0-0.6.rc1.el7sat.noarch


hammer> repository list
---|--------------------------------------------------------|---------------------------------|--------------|-----------------------------------------------------------------------------
ID | NAME                                                   | PRODUCT                         | CONTENT TYPE | URL                                                                         
---|--------------------------------------------------------|---------------------------------|--------------|-----------------------------------------------------------------------------
7  | https:  omaciel.fedorapeople.org fakerepo01            | Fedora_product                  | yum          | http://omaciel.fedorapeople.org/https://omaciel.fedorapeople.org/fakerepo01/
6  | Red Hat Enterprise Linux 7 Server - Extras RPMs x86_64 | Red Hat Enterprise Linux Server | yum          | https://cdn.redhat.com/content/dist/rhel/server/7/7Server/x86_64/extras/os  
5  | Red Hat Enterprise Linux 7 Server RPMs x86_64 7Server  | Red Hat Enterprise Linux Server | yum          | https://cdn.redhat.com/content/dist/rhel/server/7/7Server/x86_64/os         
---|--------------------------------------------------------|---------------------------------|--------------|-----------------------------------------------------------------------------

hammer> repository info --id 6
ID:                 6
Name:               Red Hat Enterprise Linux 7 Server - Extras RPMs x86_64
Label:              Red_Hat_Enterprise_Linux_7_Server_-_Extras_RPMs_x86_64
Organization:       Default Organization
Red Hat Repository: yes
Content Type:       yum
Mirror on Sync:     yes
URL:                https://cdn.redhat.com/content/dist/rhel/server/7/7Server/x86_64/extras/os
Publish Via HTTP:   no
Published At:       https://satellite6.redhat.com/pulp/repos/Default_Organization/Library/content/dist/rhel/server/7/7Server/x86_64/extras/os/
Relative Path:      Default_Organization/Library/content/dist/rhel/server/7/7Server/x86_64/extras/os
Download Policy:    on_demand
Product:            
    ID:   115
    Name: Red Hat Enterprise Linux Server
GPG Key:            

Sync:               
    Status: Not Synced
Created:            2019/01/21 07:03:28
Updated:            2019/01/21 07:03:28
Content Counts:     
    Packages:       0
    Source RPMS:    0
    Package Groups: 0
    Errata:         0
    Module Streams: 0

hammer> repository info --id 5
ID:                 5
Name:               Red Hat Enterprise Linux 7 Server RPMs x86_64 7Server
Label:              Red_Hat_Enterprise_Linux_7_Server_RPMs_x86_64_7Server
Organization:       Default Organization
Red Hat Repository: yes
Content Type:       yum
Mirror on Sync:     yes
URL:                https://cdn.redhat.com/content/dist/rhel/server/7/7Server/x86_64/os
Publish Via HTTP:   no
Published At:       https://satellite6.redhat.com/pulp/repos/Default_Organization/Library/content/dist/rhel/server/7/7Server/x86_64/os/
Relative Path:      Default_Organization/Library/content/dist/rhel/server/7/7Server/x86_64/os
Download Policy:    on_demand
Product:            
    ID:   115
    Name: Red Hat Enterprise Linux Server
GPG Key:            

Sync:               
    Status: Not Synced
Created:            2019/01/21 07:03:23
Updated:            2019/01/21 07:03:23
Content Counts:     
    Packages:       0
    Source RPMS:    0
    Package Groups: 0
    Errata:         0
    Module Streams: 0

hammer> 

hammer> repository info --id 7
ID:                          7
Name:                        https:  omaciel.fedorapeople.org fakerepo01
Label:                       https_omaciel_fedorapeople_org_fakerepo01
Organization:                Default Organization
Red Hat Repository:          no
Content Type:                yum
Mirror on Sync:              yes
URL:                         https://omaciel.fedorapeople.org/fakerepo01
Publish Via HTTP:            yes
Published At:                http://satellite6.redhat.com/pulp/repos/Default_Organization/Library/custom/Fedora_product/https_omaciel_fedorapeople_org_fakerepo01/
Relative Path:               Default_Organization/Library/custom/Fedora_product/https_omaciel_fedorapeople_org_fakerepo01
Download Policy:             on_demand
Container Image Tags Filter: 
Product:                     
    ID:   255
    Name: Fedora_product
GPG Key:                     

Sync:                        
    Status:         Success
    Last Sync Date: less than a minute
Created:                     2019/01/21 07:09:14
Updated:                     2019/01/21 07:11:09
Content Counts:              
    Packages:       136
    Source RPMS:    0
    Package Groups: 0
    Errata:         79
    Module Streams: 0

+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Observation:

 - repository info show "Red Hat Repository: yes" for a RedHat enabled repository
 - repository info show "Red Hat Repository: no" for a Custom product repository

Comment 10 errata-xmlrpc 2019-05-14 12:39:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.